# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
# stub: rspec-background-process 0.1.2 ruby lib

Gem::Specification.new do |s|
  s.name = "rspec-background-process"
  s.version = "0.1.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Jakub Pastuszek"]
  s.date = "2016-11-07"
  s.description = "RSpec and Cucumber DSL that allows definition of processes with their arguments, working directory, time outs, port numbers etc. and start/stop them during test runs. Processes with same definitions can be pooled and reused between example runs to save time on startup/shutdown. Pooling supports limiting the number of running processes with LRU to limit memory used."
  s.email = "jpastuszek@gmail.com"
  s.extra_rdoc_files = [
    "LICENSE.txt",
    "README.md"
  ]
  s.files = [
    ".document",
    ".rspec",
    "Gemfile",
    "Gemfile.lock",
    "LICENSE.txt",
    "README.md",
    "Rakefile",
    "VERSION",
    "lib/rspec-background-process.rb",
    "lib/rspec-background-process/background_process.rb",
    "lib/rspec-background-process/background_process_helpers.rb",
    "lib/rspec-background-process/process_pool.rb",
    "lib/rspec-background-process/readiness_checks.rb",
    "lib/rspec-background-process/refresh_actions.rb",
    "lib/rspec-background-process/server.rb",
    "rspec-background-process.gemspec",
    "spec/background_process_helpers_spec.rb",
    "spec/background_process_spec.rb",
    "spec/features/cwd_spec.rb",
    "spec/features/dead_detection_spec.rb",
    "spec/features/exec_and_loading_spec.rb",
    "spec/features/pool_lru_spec.rb",
    "spec/features/ready_test_spec.rb",
    "spec/features/refresh_spec.rb",
    "spec/features/reuse_spec.rb",
    "spec/features/server_spec.rb",
    "spec/features/variables_replacement_spec.rb",
    "spec/process_definition_spec.rb",
    "spec/spec_helper.rb",
    "spec/support/test_die",
    "spec/support/test_http_server",
    "spec/support/test_process",
    "spec/support/test_slow_die"
  ]
  s.homepage = "http://github.com/jpastuszek/rspec-background-process"
  s.licenses = ["MIT"]
  s.rubygems_version = "2.4.6"
  s.summary = "RSpec and Cucumber DSL library that helps managing background processes during test runs"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<daemon>, ["~> 1.2"])
      s.add_runtime_dependency(%q<micromachine>, ["~> 1.1"])
      s.add_runtime_dependency(%q<rufus-lru>, ["~> 1.0"])
      s.add_runtime_dependency(%q<file-tail>, ["~> 1.0"])
      s.add_runtime_dependency(%q<retries>, ["~> 0.0.5"])
      s.add_development_dependency(%q<rspec>, ["~> 3.1"])
      s.add_development_dependency(%q<jeweler>, ["~> 1.8.4"])
      s.add_development_dependency(%q<bundler>, ["~> 1.0"])
    else
      s.add_dependency(%q<daemon>, ["~> 1.2"])
      s.add_dependency(%q<micromachine>, ["~> 1.1"])
      s.add_dependency(%q<rufus-lru>, ["~> 1.0"])
      s.add_dependency(%q<file-tail>, ["~> 1.0"])
      s.add_dependency(%q<retries>, ["~> 0.0.5"])
      s.add_dependency(%q<rspec>, ["~> 3.1"])
      s.add_dependency(%q<jeweler>, ["~> 1.8.4"])
      s.add_dependency(%q<bundler>, ["~> 1.0"])
    end
  else
    s.add_dependency(%q<daemon>, ["~> 1.2"])
    s.add_dependency(%q<micromachine>, ["~> 1.1"])
    s.add_dependency(%q<rufus-lru>, ["~> 1.0"])
    s.add_dependency(%q<file-tail>, ["~> 1.0"])
    s.add_dependency(%q<retries>, ["~> 0.0.5"])
    s.add_dependency(%q<rspec>, ["~> 3.1"])
    s.add_dependency(%q<jeweler>, ["~> 1.8.4"])
    s.add_dependency(%q<bundler>, ["~> 1.0"])
  end
end

